Index: TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 3861)
+++ TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 3862)
@@ -295,9 +295,9 @@
 	 */
 	public static double computeIndex(int f, int F, int t, int T) throws Exception {
 		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
-		rw.voidEval("library(textometry)");
-		REXP rez = rw.eval("specificities(matrix(c(" + f + ", " + (t - f) + ", " + (F - f) + ", " + (T - t - F + f)
-				+ "), ncol=2))");
+		rw.voidEval("library(textometry)"); //$NON-NLS-1$
+		REXP rez = rw.eval("specificities(matrix(c(" + f + ", " + (t - f) + ", " + (F - f) + ", " + (T - t - F + f) //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+				+ "), ncol=2))"); //$NON-NLS-1$
 		if (rez != null) {
 			return rez.asDoubles()[0];
 		}
@@ -685,7 +685,7 @@
 	
 	@Override
 	public String getDetails() {
-		return NLS.bind(this.getName() + " (max score={0})", this.maxScore);
+		return NLS.bind(this.getName() + " (max score={0})", this.maxScore); //$NON-NLS-1$
 	}
 	
 	@Override
Index: TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 3861)
+++ TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 3862)
@@ -152,16 +152,16 @@
 		sb.append(this.getName());
 		
 		if (banality != null) {
-			sb.append("\n\t" + "banality: " + this.banality);
+			sb.append("\n\t" + "banality: " + this.banality); //$NON-NLS-1$
 		}
 		if (drawBars != null) {
-			sb.append("\n\t" + "draw bars: " + this.drawBars);
+			sb.append("\n\t" + "draw bars: " + this.drawBars); //$NON-NLS-1$
 		}
 		if (drawLines != null) {
-			sb.append("\n\t" + "draw lines: " + this.drawLines);
+			sb.append("\n\t" + "draw lines: " + this.drawLines); //$NON-NLS-1$
 		}
 		if (groupByLines != null) {
-			sb.append("\n\t" + "group lines: " + this.groupByLines);
+			sb.append("\n\t" + "group lines: " + this.groupByLines); //$NON-NLS-1$
 		}
 		return sb.toString();
 	}
@@ -170,7 +170,7 @@
 	public String getName() {
 		String name = "[" + StringUtils.join(this.selectedTypeNames, ", ") + "]"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		if (name.length() > 80) {
-			name = name.substring(0, 79) + "...";
+			name = name.substring(0, 79) + "..."; //$NON-NLS-1$
 		}
 		return name;
 	}
@@ -262,7 +262,7 @@
 	public boolean loadParameters() {
 		String str = this.getStringParameterValue(SpecificitiesPreferences.VALUES);
 		if (!str.isEmpty()) {
-			selectedTypeNames = Arrays.asList(str.split("\t"));
+			selectedTypeNames = Arrays.asList(str.split("\t")); //$NON-NLS-1$
 		}
 		return true;
 	}
@@ -270,7 +270,7 @@
 	@Override
 	public boolean saveParameters() {
 		if (selectedTypeNames != null) {
-			this.saveParameter(SpecificitiesPreferences.VALUES, StringUtils.join(selectedTypeNames, "\t"));
+			this.saveParameter(SpecificitiesPreferences.VALUES, StringUtils.join(selectedTypeNames, "\t")); //$NON-NLS-1$
 		}
 		return true;
 	}
Index: TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java	(revision 3861)
+++ TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/chartsengine/r/RSpecificitiesBarChartCreator.java	(revision 3862)
@@ -69,7 +69,7 @@
 			
 			
 			// Title
-			String title = "";
+			String title = ""; //$NON-NLS-1$
 			if (result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_TITLE)) {
 				title = specificitiesSelection.getName();
 			}
Index: TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java	(revision 3861)
+++ TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java	(revision 3862)
@@ -42,7 +42,7 @@
 	public Contrast(LexicalTable table) {
 		super(table);
 		this.table = table;
-		symbol = "Contrast_"+this.getClass().getSimpleName()+"_"+(no_contrast++);
+		symbol = "Contrast_"+this.getClass().getSimpleName()+"_"+(no_contrast++); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
 //	public Contrast(Corpus corpus, Subcorpus subcorpus, Property property) throws Exception, Exception {
@@ -257,7 +257,7 @@
 	@Override
 	public boolean saveParameters() {
 		// TODO Auto-generated method stub
-		System.err.println("Contrast.saveParameters(): not yet implemented.");
+		System.err.println("Contrast.saveParameters(): not yet implemented."); //$NON-NLS-1$
 		return true;
 	}
 	
@@ -265,7 +265,7 @@
 	@Override
 	public boolean loadParameters() {
 		// TODO Auto-generated method stub
-		System.err.println("Contrast.loadParameters(): not yet implemented.");
+		System.err.println("Contrast.loadParameters(): not yet implemented."); //$NON-NLS-1$
 		return true;
 	}
 
